# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Namespaces | Macros
byteio.h File Reference
`#include <iostream>`
`#include <sstream>`
`#include <iomanip>`
`#include <climits>`
`#include <libdirac_byteio/dirac_byte_stats.h>`
Include dependency graph for byteio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | dirac::ByteIO
| Class ByteIO - top-level class for reading/writing bytes to a stream. More...

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

## Macros
#define | BIT_ZERO 0
#define | BIT_ONE 1
#define | MS_BIT (1 << (CHAR_BIT - 1))
#define | BIT_IN_CHAR(bit) (1 << bit)

## Macro Definition Documentation

## ◆ BIT_IN_CHAR

#define BIT_IN_CHAR | ( |  | bit | ) | (1 << bit)

## ◆ BIT_ONE

#define BIT_ONE 1

## ◆ BIT_ZERO

#define BIT_ZERO 0

## ◆ MS_BIT

#define MS_BIT (1 << (CHAR_BIT - 1))

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.